Subject: Daucus carota and Salak

From: [email-masked] (Patricia S. Bowne)
Date: 19 May 1995 17:04:39 -0500

I have two questions. First, does anyone have references regarding the purple
florets in the center of Queen Anne's Lace flowers (Daucus carota)? My
searches have turned up nothing so far. Second, I have a few seeds of the
Salak or snakeskin fruit, a small palm from Indonesia. Does anybody have
information about germinating palm seeds? I've had trouble with mold - they
are large, nut-like seeds. Help will be appreciated! - [email-masked]